package app.furmeet.events.system.legal

import android.os.Bundle
import androidx.recyclerview.widget.LinearLayoutManager
import app.furmeet.events.system.TranslatableAppCompatActivityWithScheduleServiceWrapped
import app.furmeet.events.bff.databinding.ActivitySoftwareLicensesBinding

class SoftwareLicensesActivityWithScheduleServiceWrapped : TranslatableAppCompatActivityWithScheduleServiceWrapped() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        val binding = ActivitySoftwareLicensesBinding.inflate(layoutInflater)
        val view = binding.root
        setContentView(view)
        binding.swlicenses.layoutManager = LinearLayoutManager(this)
        binding.swlicenses.adapter = SoftwareLicensesAdapter(SofwareLicenses.toList())
    }
}
